NETWORKCTL(1)

BEZEICHNUNG
networkctl - Den Status der Netzwerkverbindungen abfragen oder verändern

ÜBERSICHT

networkctl [OPTIONEN…] BEFEHL [VERBINDUNG…]

BESCHREIBUNG

networkctl kann zum Abfragen und Verändern des Zustands von Netzwerkverbindungen, wie sie von systemd-networkd gesehen werden, verwandt werden. Bitte lesen Sie systemd-networkd.service(8) für eine Einführung in die grundlegenden Konzepte, Funktionalitäten und Konfigurationssyntax.

BEFEHLE

Die folgenden Befehle werden verstanden:

list [MUSTER…]
    Zeigt eine Liste der existierenden Verbindungen und ihren Status. Falls eine oder mehrere MUSTER angegeben sind, werden nur die Links, die darauf passen, angezeigt. Falls keine weiteren Argumente angegeben sind, werden alle Verbindungen angezeigt, andernfalls nur die angegebenen Verbindungen. Erstellt Ausgabe ähnlich folgender:

        IDX LINK         TYPE     OPERATIONAL SETUP
          1 lo           loopback carrier     unmanaged
          2 eth0         ether    routable    configured
          3 virbr0       ether    no-carrier  unmanaged
          4 virbr0-nic   ether    off         unmanaged
        4 links listed.

    Der Betriebsstatus ist einer der Folgenden:

    missing
        das Gerät fehlt

    off
        das Gerät ist ausgeschaltet

    no-carrier
        das Gerät ist eingeschaltet, hat aber noch kein Signal (Träger)

    dormant
        das Gerät hat ein Signal, ist aber noch nicht für normalen Verkehr bereit

    degraded-carrier
        one of the bonding or bridge slave network interfaces is in off, no-carrier, or dormant state, and the master interface has no address.

    carrier
        der Link hat ein Signal oder für Master bei Bündelungen oder Bridges, alle gebündelten oder Bridge-Slave-Netzwerkschnittstellen sind an dem Master angebunden.

    degraded
        the link has carrier and addresses valid on the local link configured. For bond or bridge master this means that not all slave network interfaces have carrier but at least one does.

    enslaved
        der Link hat ein Signal und ist an eine Bündelung oder Bridge-Master-Netzwerkschnittstelle angebunden

    routable
        the link has carrier and routable address configured. For bond or bridge master it is not necessary for all slave network interfaces to have carrier, but at least one must.

    Der Einrichtungsstatus ist einer der Folgenden:

    pending
        Udev bearbeitet den Link noch, es ist noch nicht klar, ob es den Link verwalten wird

    initialized
        Udev hat den Link verarbeitet, aber es ist noch nicht klar, ob es den Link verwalten wird

    configuring
        derzeit dabei, die Konfiguration des Links abzufragen oder durchzuführen

    configured
        Link erfolgreich konfiguriert

    unmanaged
        Networkd handhabt den Link nicht

    failed
        Networkd konnten den Link nicht verwalten

    linger
        der Link ist verschwunden, wurde aber von Networkd noch nicht freigegeben

status [MUSTER…]
    Zeigt Informationen über die angegebenen Verbindungen: Typ, Status, Kernelmodultreiber, Hardware- und IP-Adresse, konfigurierte DNS-Server usw. Falls eine oder mehrere MUSTER angegeben sind, werden nur die Links, die darauf passen, angezeigt.

    Wenn keine Verbindungen angegeben wurden, wird ein Gesamtnetzwerkstatus angezeigt. Siehe auch die Option --all.

    Erstellt Ausgabe ähnlich folgender:

        ●        State: routable
          Online state: online
               Address: 10.193.76.5 on eth0
                        192.168.122.1 on virbr0
                        169.254.190.105 on eth0
                        fe80::5054:aa:bbbb:cccc on eth0
               Gateway: 10.193.11.1 (CISCO SYSTEMS, INC.) on eth0
                   DNS: 8.8.8.8
                        8.8.4.4

    Im Gesamtnetzwerkstatus hängt der Online-Status von den einzelnen Online-Status aller benötigten Links ab. Standardmäßig werden verwaltete Links für »online« benötigt. In diesem Fall ist der Online-Status einer der folgenden:

    unknown
        Alle Links haben einen unbekannten Online-Status (d.h. es gibt keine benötigten Links).

    offline
        alle benötigten Links sind offline

    partial
        einige, aber nicht alle, benötigten Links sind online

    online
        alle benötigten Links sind online

lldp [MUSTER…]
    Zeigt entdeckte LLDP- (Link Layer Discovery Protocol)Nachbarn. Falls ein oder mehrere MUSTER angegeben sind, werden nur die Nachbarn auf diesen Schnittstellen angezeigt. Andernfalls werden die Nachbarn auf allen Schnittstellen angezeigt. Beachten Sie, dass LLDP= auf der angegebenen Schnittstelle eingeschaltet sein muss, damit diese funktioniert, siehe systemd.network(5) für Details.

    Erstellt Ausgabe ähnlich folgender:

        LINK             CHASSIS ID        SYSTEM NAME      CAPS        PORT ID           PORT DESCRIPTION
        enp0s25          00:e0:4c:00:00:00 GS1900           ..b........ 2                 Port #2
        Capability Flags:
        o - Other; p - Repeater;  b - Bridge; w - WLAN Access Point; r - Router;
        t - Telephone; d - DOCSIS cable device; a - Station; c - Customer VLAN;
        s - Service VLAN, m - Two-port MAC Relay (TPMR)
        1 neighbors listed.

label
    Zeigt numerische Adresskennzeichnungen, die zur Adressauswahl verwandt werden können. Dies ist die gleiche Information, die ip-addrlabel(8) zeigt. Siehe RFC 3484[1] für eine Diskussion von Adresskennzeichnungen.

    Erstellt Ausgabe ähnlich folgender:

        Prefix/Prefixlen                          Label
                ::/0                                  1
            fc00::/7                                  5
            fec0::/10                                11
            2002::/16                                 2
            3ffe::/16                                12
         2001:10::/28                                 7
            2001::/32                                 6
        ::ffff:0.0.0.0/96                             4
                ::/96                                 3
               ::1/128                                0

delete GERÄT…
    Löscht virtuelle Netdevs. Akzeptiert Schnittstellennamen oder Indexnummer.

up GERÄT…
    Aktiviert Geräte. Akzeptiert Schnittstellennamen oder Indexnummer.

down GERÄT…
    Deaktiviert Geräte. Akzeptiert Schnittstellennamen oder Indexnummer.

renew GERÄT…
    Erneuert dynamische Konfigurationen, z.B. vom DHCP-Server empfangene Adressen. Akzeptiert Schnittstellennamen oder Indexnummer.

forcerenew GERÄT…
    Sendet FORCERENEW-Nachrichten an alle verbundenen Clients, löst DHCP-Rekonfiguration aus. Akzeptiert Schnittstellennamen oder Indexnummer.

reconfigure GERÄT…
    Konfiguriert Netzwerkschnittstellen neu. Akzeptiert einen Schnittstellennamen oder eine Index-Nummer. Beachten Sie, dass dies nicht die der angegebenen Schnittstelle entsprechenden ».netdev« oder ».network« neu lädt. Falls Sie daher diese Konfigurationsdateien bearbeiten, ist es notwendig, zuerst networkctl reload aufzurufen, um die neuen Einstellungen anzuwenden.

reload
    Lädt .netdev- und .network-Dateien neu. Falls eine neue .netdev-Datei gefunden wird, dann wird das entsprechende Netdev erstellt. Beachten Sie, dass systemd-networkd das Netdev nicht aktualisiert oder entfernt, falls ein bestehendes .netdev verändert oder entfernt wird. Falls eine neue, veränderte oder entfernte .network-Datei gefunden wird, dann werden alle Schnittstellen, die auf die Datei passen, neu konfiguriert.

edit FILE|@GERÄT…
    Bearbeitet Netzwerkkonfigurationsdateien, einschließlich .network-, .netdev- und .link-Dateien. Falls keine Netzwerkkonfigurationsdatei gefunden wird, die auf den angegebenen Namen passt, wird eine neue unter /etc/ erstellt. Falls insbesondere dem Namen »@« vorangestellt wird, wird diese als Netzwerkschnittstelle behandelt und das Bearbeiten wird auf den ihr zugeordneten Netzwerkkonfigurationsdateien erfolgen. Zusätzlich kann dem Schnittstellennamen »:network« (die Vorgabe) oder »:link« angehängt werden, um den Typ der Netzwerkkonfiguration auszuwählen, auf dem gearbeitet werden soll.

    Falls --drop-in= angegeben ist, wird die Ergänzungsdatei anstelle der Hauptkonfigurationsdatei bearbeitet. Sofern --no-reload nicht angegeben ist, wird systemd-networkd nach Abschluss der Bearbeitung der .network- oder .netdev-Dateien neu geladen. Das gleiche gilt für .link-Dateien und systemd-udevd(8). Beachten Sie, dass die geänderten Link-Einstellungen nach dem Neuladen nicht automatisch angewandt werden. Um dies zu erreichen, lösen Sie Uevents für die entsprechende Schnittstelle aus. Weitere Informationen finden Sie in systemd.link(5).

cat DATEI|@GERÄT…
    Zeigt Netzwerkkonfigurationsdateien. Dieser Befehl berücksichtigt vorangestellte »@« auf die gleiche Art wie edit.

OPTIONEN

Die folgenden Optionen werden verstanden:

-a --all
    Zeigt mit status alle Verbindungen.

-s --stats
    Zeigt mit status Link-Statistiken.

-l, --full
    Verkürzt die Ausgabe nicht.

-n, --lines=
    Steuert bei der Verwendung mit status die Anzahl der anzuzeigenden Journal-Einträge, gezählt vom neusten. Akzeptiert eine positive Ganzzahl als Argument. Standardmäßig 10.

--drop-in=NAME
    Bearbeitet bei der Verwendung mit edit die Ergänzungsdatei NAME anstelle der Hauptkonfigurationsdatei.

--no-reload
    When used with edit, systemd-networkd or systemd-udevd will not be reloaded after the editing finishes.

--json=MODUS
    Zeigt die Ausgabe als JSON formatiert. Erwartet entweder »short« (für die kürzest mögliche Ausgabe ohne unnötigen Leerraum oder Zeilenumbrüche), »pretty« (für eine schönere Version der gleichen Ausgabe, mit Einzügen und Zeilenumbrüchen) oder »off« (um die standardmäßig aktivierte JSON-Ausgabe auszuschalten).

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

--no-legend
    Gibt die Legende nicht aus, d.h. die Spaltenköpfe und die Fußzeile mit Hinweisen.

--no-pager
    Leitet die Ausgabe nicht an ein Textanzeigeprogramm weiter.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd-networkd.service(8), systemd.network(5), systemd.netdev(5), ip(8)

ANMERKUNGEN

1.  RFC 3484
    https://tools.ietf.org/html/rfc3484

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).